﻿using System.Collections.Generic;
using Kreta.Client.FileService.Constant;
using Kreta.Client.FileService.Request;

namespace Kreta.Client.FileService.Extension
{
    internal static class GetUrlRequestExtension
    {
        public static Dictionary<string, string> GetUrlRequestParameters(this GetUrlRequest getUrlRequest)
        {
            return new Dictionary<string, string>
            {
                { DownloadRequest.Konyvtar, getUrlRequest.Konyvtar },
                { DownloadRequest.FajlAzonosito, getUrlRequest.FajlAzonosito.ToString() },
                { DownloadRequest.Utvonal, getUrlRequest.Utvonal },
                { DownloadRequest.FajlNev, getUrlRequest.FajlNev }
            };
        }

        public static Dictionary<string, string> GetUrlRequestParametersV3(this GetUrlRequest getUrlRequest)
        {
            return new Dictionary<string, string>
            {
                { DownloadRequest.FajlId, getUrlRequest.FajlAzonosito.ToString() },
                { DownloadRequest.UtvonalV3, getUrlRequest.Utvonal }
            };
        }
    }
}
