﻿using Kreta.Client.FileService.Request;
using Kreta.Client.FileService.Response;

namespace Kreta.Client.FileService
{
    public interface IFileServiceClientV3
    {
        GetTokenResponse GetPrivateToken();

        FileUploadResponse Upload(string privateToken, IFileUploadRequest fileUploadRequest);

        GetFileResponse GetFile(string intezmenyAzonosito, string privateToken, GetUrlRequest getUrlRequest);

        FileDeleteResponseV3 Delete(string intezmenyAzonosito, string privateToken, FileDeleteRequest fileDeleteRequest);
        FileFinalizeResponseV3 Veglegesites(string privateToken, FileFinalizeRequestV3 fileFinalizeRequestV3);
    }
}
