﻿using Kreta.Client.FileService.Request;
using Kreta.Client.FileService.Response;

namespace Kreta.Client.FileService
{
    public interface IFileServiceClient
    {
        GetTokenResponse GetPrivateToken();

        GetTokenResponse GetPublicToken();

        FileFinalizeResponse Finalize(string intezmenyAzonosito, string privateToken, FileFinalizeRequest fileFinalizeRequest);

        FileUploadResponse Upload(string publicToken, IFileUploadRequest fileUploadRequest);

        GetUrlResponse GetUrl(string intezmenyAzonosito, string privateToken, GetUrlRequest getUrlRequest);

        FileDeleteResponse Delete(string intezmenyAzonosito, string privateToken, FileDeleteRequest fileDeleteRequest);
    }
}
