﻿using System;
using System.Collections.Generic;
using Kreta.Client.FileService.Constant;
using Kreta.Client.FileService.Model;
using Newtonsoft.Json;

namespace Kreta.Client.FileService.Request
{
    public class FileFinalizeRequest
    {
        public FileFinalizeRequest(List<FileData> fajlok)
        {
            if (fajlok?.Count == 0)
            {
                throw new ArgumentNullException(nameof(fajlok));
            }

            Fajlok = fajlok;
        }

        [JsonProperty(PropertyName = "konyvtar")]
        public string Konyvtar => Folder.HaziFeladatok;

        [JsonProperty(PropertyName = "fajlok")]
        public List<FileData> Fajlok { get; }
    }
}
